> ## Documentation Index
> Fetch the complete documentation index at: https://api-docs.bienport.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Panel Users



## OpenAPI

````yaml /open-api/api-docs.yml get /enterprise/bulk/get-panel-user/{resourceId}
openapi: 3.0.1
info:
  title: Bimetri Api Service API Reference
  description: Bimetri Api Service
  version: v1.4.0-SNAPSHOT
servers:
  - url: https://apigw.bienport.com/api
  - url: https://apigw.sebeketakip.com/api
security: []
tags:
  - name: CRM Ticket Api
    description: Crm Controller
  - name: Camera Api
    description: Camera Controller
  - name: Central Alarm Monitoring Api
    description: Central Alarm Monitoring Controller
  - name: Content Api
    description: Contents Controller
  - name: Controller Api
    description: Controllers Controller
  - name: Controller Log Api
    description: Digital Controller Data Log Controller
  - name: Customer Api
    description: Customer Controller
  - name: Enterprise Bulk Operations Api
    description: Enterprise Bulk Operations Controller
  - name: External Power And Battery Status Api
    description: External Power And Battery Status Controller
  - name: Lead Api
    description: Lead Controller
  - name: Login Api
    description: Auth Controller
  - name: Panel Controllers Api
    description: Resource Controllers Controller
  - name: Panel Sensors Api
    description: Resource Sensor Controller
  - name: Partition Api
    description: Partition Controller
  - name: Payment Api
    description: Payment Controller
  - name: Push Notification Api
    description: Push Notification Controller
  - name: Push Notification History Api
    description: Push Notification History Controller
  - name: Resource Activities Api
    description: Activity Service Controller
  - name: Resource Api
    description: Resource Management Controller
  - name: Resource User Authorization Api
    description: Resource User Authorization Controller
  - name: Role Api
    description: Organization Role Controller
  - name: Sms Verification Code Send Api
    description: Send Verification Code Controller
  - name: Subscription Api
    description: Subscription Controller
  - name: User Api
    description: User Controller
  - name: Validate Verification Code Api
    description: Sms Code Validation Controller
paths:
  /enterprise/bulk/get-panel-user/{resourceId}:
    get:
      tags:
        - Enterprise Bulk Operations Api
      summary: Get Panel Users
      operationId: getPanelUsersUsingGET
      parameters:
        - name: Authorization
          in: header
          description: Access Token
          required: true
          schema:
            type: string
          example: Bearer access_token
        - name: OrganizationId
          in: header
          description: Organization ID
          required: true
          schema:
            type: string
          example: '148001'
        - name: resourceId
          in: path
          description: resourceId
          required: true
          schema:
            type: integer
            format: int64
      responses:
        '200':
          description: List of Alarm Panels.
          content:
            '*/*':
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/ResourceUserPairResponse'
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/ResourceUserPairResponse'
        '400':
          description: ApiErrorResponse model bad request.
          content:
            '*/*':
              schema:
                $ref: '#/components/schemas/ErrorResponseModel'
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponseModel'
        '401':
          description: ApiErrorResponse model unauthorized.
          content:
            '*/*':
              schema:
                $ref: '#/components/schemas/ErrorResponseModel'
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponseModel'
        '403':
          description: This response is not used.
          content: {}
        '404':
          description: ApiErrorResponse not found.
          content:
            '*/*':
              schema:
                $ref: '#/components/schemas/ErrorResponseModel'
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponseModel'
        '500':
          description: ApiErrorResponse internal server error.
          content:
            '*/*':
              schema:
                $ref: '#/components/schemas/ErrorResponseModel'
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponseModel'
      deprecated: false
components:
  schemas:
    ResourceUserPairResponse:
      title: ResourceUserPairResponse
      type: object
      properties:
        resourceId:
          type: integer
          description: Resource Id
          format: int64
          example: 10
        resourceModel:
          type: string
          description: Resource Model
          example: DSC
        resourceUserResponseList:
          type: array
          description: Resource User Response List
          items:
            $ref: '#/components/schemas/ResourceUserResponse'
        organizationUserList:
          type: array
          description: Organization User List
          items:
            $ref: '#/components/schemas/DTOUser'
      description: Response Model for Resource User Pair
    ErrorResponseModel:
      title: ErrorResponseModel
      type: object
      properties:
        statusCode:
          type: integer
          description: Error Code
          format: int32
        error:
          type: string
          description: 'Unique name of the error '
          example: '***Exception'
        message:
          type: string
          description: 'Error message information '
          example: Message about the error
        path:
          type: string
          description: 'Path information where the error occurred '
          example: /api/example/path
      description: Error Response Model
    ResourceUserResponse:
      title: ResourceUserResponse
      type: object
      properties:
        id:
          type: integer
          description: id
          format: int64
          example: 10
        resourceId:
          type: integer
          description: Resource Id
          format: int64
          example: 10
        userId:
          type: integer
          description: User Id
          format: int64
          example: 12341234
        partitionNo:
          type: string
          description: Partition No
          example: '1'
        slotNo:
          type: string
          description: Slot No
          example: '1'
        pinCode:
          type: string
          description: Pin Code
          example: '1234'
        userName:
          type: string
          description: User Name
          example: Test User
      description: Response Model for Resource User
    DTOUser:
      title: DTOUser
      type: object
      properties:
        emailAddress:
          type: string
        emailAddressVerified:
          type: boolean
        extendedRoles:
          type: array
          items:
            $ref: '#/components/schemas/DTOExtendedRole'
        firstName:
          type: string
        instanceId:
          type: integer
          format: int64
        instanceName:
          type: string
        lastName:
          type: string
        localeId:
          type: string
        middleName:
          type: string
        organizationIds:
          type: array
          items:
            type: integer
            format: int64
        resourceGroups:
          type: array
          items:
            $ref: '#/components/schemas/DTOResourceGroup'
        resources:
          type: array
          items:
            $ref: '#/components/schemas/DTOResource'
        roles:
          type: array
          items:
            $ref: '#/components/schemas/DTORole'
        screenName:
          type: string
        status:
          type: integer
          format: int32
        timeZoneId:
          type: string
        userId:
          type: integer
          format: int64
        userPrivilegeGroups:
          type: array
          items:
            $ref: '#/components/schemas/DTOUserPrivilegeGroup'
        userPrivilegeValidities:
          type: array
          items:
            $ref: '#/components/schemas/DTOUserPrivilegeValidity'
    DTOExtendedRole:
      title: DTOExtendedRole
      type: object
      properties:
        inherited:
          type: boolean
        roleId:
          type: integer
          format: int64
        roleName:
          type: string
        type:
          type: integer
          format: int32
        typeName:
          type: string
        typePK:
          type: integer
          format: int64
    DTOResourceGroup:
      title: DTOResourceGroup
      type: object
      properties:
        active:
          type: boolean
          xml:
            name: active
            attribute: false
            wrapped: false
        labels:
          type: array
          items:
            $ref: '#/components/schemas/DTOLabel'
        organizationId:
          type: integer
          format: int64
          xml:
            name: organizationId
            attribute: false
            wrapped: false
        organizationName:
          type: string
          xml:
            name: organizationName
            attribute: false
            wrapped: false
        parentResourceGroup:
          $ref: '#/components/schemas/DTOResourceGroup'
        resourceGroupId:
          type: integer
          format: int64
          xml:
            name: resourceGroupId
            attribute: false
            wrapped: false
        resourceGroupName:
          type: string
          xml:
            name: resourceGroupName
            attribute: false
            wrapped: false
        roles:
          type: array
          items:
            $ref: '#/components/schemas/DTORole'
        treePath:
          type: string
    DTOResource:
      title: DTOResource
      type: object
      properties:
        active:
          type: boolean
          xml:
            name: isActive
            attribute: false
            wrapped: false
        assets:
          type: array
          items:
            $ref: '#/components/schemas/DTOAsset'
        childResources:
          type: array
          items:
            $ref: '#/components/schemas/DTOResource'
        childrenCoeffiecientSum:
          type: number
          format: double
        coefficient:
          type: number
          format: double
        customReportOrder:
          type: integer
          format: int32
        disabledDate:
          type: string
          format: date-time
        dynamicFieldValues:
          type: array
          items:
            $ref: '#/components/schemas/DTODynamicFieldValue'
        enabled:
          type: boolean
          xml:
            name: enabled
            attribute: false
            wrapped: false
        hasChildren:
          type: boolean
        labels:
          type: array
          items:
            $ref: '#/components/schemas/DTOLabel'
        model:
          $ref: '#/components/schemas/DTOModel'
        networkId:
          type: string
          xml:
            name: networkid
            attribute: false
            wrapped: false
        organizationId:
          type: integer
          format: int64
          xml:
            name: organizationId
            attribute: false
            wrapped: false
        parentResource:
          $ref: '#/components/schemas/DTOResource'
        partitions:
          type: array
          items:
            $ref: '#/components/schemas/DTOResourcePartition'
        resourceControllers:
          type: array
          items:
            $ref: '#/components/schemas/DTOResourceController'
        resourceGroup:
          $ref: '#/components/schemas/DTOResourceGroup'
        resourceId:
          type: integer
          format: int64
          xml:
            name: resourceId
            attribute: false
            wrapped: false
        resourceName:
          type: string
          xml:
            name: resourceName
            attribute: false
            wrapped: false
        resourceSensors:
          type: array
          items:
            $ref: '#/components/schemas/DTOResourceSensor'
        resourceType:
          type: string
          xml:
            name: resourceType
            attribute: false
            wrapped: false
          enum:
            - Device
            - ThirdParty
            - Virtual
            - Gateway
        roles:
          type: array
          items:
            $ref: '#/components/schemas/DTORole'
        subType:
          $ref: '#/components/schemas/DTOResourceSubType'
        treePath:
          type: string
    DTORole:
      title: DTORole
      type: object
      properties:
        instanceId:
          type: integer
          format: int64
        localization:
          type: string
        name:
          type: string
        roleId:
          type: integer
          format: int64
        rolePrivilegeGroups:
          type: array
          items:
            $ref: '#/components/schemas/DTORolePrivilegeGroup'
        type:
          type: integer
          format: int64
    DTOUserPrivilegeGroup:
      title: DTOUserPrivilegeGroup
      type: object
      properties:
        authority:
          type: boolean
        id:
          type: integer
          format: int64
        privilegeGroup:
          $ref: '#/components/schemas/DTOPrivilegeGroup'
        scopePk:
          type: integer
          format: int64
        user:
          $ref: '#/components/schemas/DTOUser'
    DTOUserPrivilegeValidity:
      title: DTOUserPrivilegeValidity
      type: object
      properties:
        expiration:
          type: integer
          format: int64
        id:
          type: integer
          format: int64
        period:
          type: string
        scopePk:
          type: integer
          format: int64
        user:
          $ref: '#/components/schemas/DTOUser'
        validityStart:
          type: integer
          format: int64
    DTOLabel:
      title: DTOLabel
      type: object
      properties:
        active:
          type: boolean
        labelId:
          type: integer
          format: int64
        labelName:
          type: string
        labelUserId:
          type: integer
          format: int64
    DTOAsset:
      title: DTOAsset
      type: object
      properties:
        active:
          type: boolean
        assetName:
          type: string
        assetType:
          $ref: '#/components/schemas/DTOAssetType'
        dynamicFieldValues:
          type: array
          items:
            $ref: '#/components/schemas/DTODynamicFieldValue'
        id:
          type: integer
          format: int64
        labels:
          type: array
          items:
            $ref: '#/components/schemas/DTOLabel'
        model:
          $ref: '#/components/schemas/DTOModel'
        resource:
          $ref: '#/components/schemas/DTOResource'
        serialNumber:
          type: string
    DTODynamicFieldValue:
      title: DTODynamicFieldValue
      type: object
      properties:
        asset:
          $ref: '#/components/schemas/DTOAsset'
        boolenValue:
          type: boolean
        colorValue:
          type: string
        dateValue:
          type: string
          format: date
        datetimeValue:
          type: string
          format: date-time
        doubleValue:
          type: number
          format: double
        dynamicField:
          $ref: '#/components/schemas/DTODynamicField'
        dynamicLocationValue:
          type: string
        emailValue:
          type: string
        fixedLocationValue:
          type: string
        floatValue:
          type: number
          format: float
        intValue:
          type: integer
          format: int32
        longValue:
          type: integer
          format: int64
        multipleSelectionValue:
          type: string
        numberValue:
          type: string
        resource:
          $ref: '#/components/schemas/DTOResource'
        shortValue:
          type: integer
          format: int32
        stringValue:
          type: string
        telValue:
          type: string
        timeValue:
          $ref: '#/components/schemas/LocalTime'
        urlValue:
          type: string
        valueId:
          type: string
    DTOModel:
      title: DTOModel
      type: object
      properties:
        active:
          type: boolean
          xml:
            name: modelIsActive
            attribute: false
            wrapped: false
        brand:
          $ref: '#/components/schemas/DTOBrand'
        dynamicArea:
          type: array
          items:
            $ref: '#/components/schemas/DTODynamicField'
        imageFileId:
          type: integer
          format: int64
        ioSchema:
          type: array
          items:
            $ref: '#/components/schemas/DTOIOSchema'
        labels:
          type: array
          items:
            $ref: '#/components/schemas/DTOLabel'
        modelCommChannel:
          $ref: '#/components/schemas/DTOCommunicationChannel'
        modelCommProtokol:
          $ref: '#/components/schemas/DTOCommunicationProtocol'
        modelId:
          type: integer
          format: int64
          xml:
            name: modelId
            attribute: false
            wrapped: false
        modelName:
          type: string
          xml:
            name: modelName
            attribute: false
            wrapped: false
    DTOResourcePartition:
      title: DTOResourcePartition
      type: object
      properties:
        id:
          type: integer
          format: int64
        partitionName:
          type: string
        partitionNo:
          type: integer
          format: int32
        resource:
          $ref: '#/components/schemas/DTOResource'
        resourceControllers:
          type: array
          items:
            $ref: '#/components/schemas/DTOResourceController'
        resourceSensors:
          type: array
          items:
            $ref: '#/components/schemas/DTOResourceSensor'
    DTOResourceController:
      title: DTOResourceController
      type: object
      properties:
        controller:
          $ref: '#/components/schemas/DTOController'
        description:
          type: string
        falseValue:
          type: string
        hardwareSerialNumber:
          type: string
        highValue:
          type: number
          format: double
        id:
          type: integer
          format: int64
        ioDirection:
          type: string
          enum:
            - Input
            - Output
            - InputOutput
        ioType:
          type: string
          enum:
            - Digital
            - Analog
            - AnalogDigital
            - SerialUSART
            - SerialRS232
            - SerialRS485
            - SerialCAN
            - SerialEthernet
            - SerialI2C
            - SerialSPI
            - SerialOneWire
            - User
            - SerialMdb
            - SerialWireless
        lowValue:
          type: number
          format: double
        orderNo:
          type: integer
          format: int64
        partitions:
          type: array
          items:
            $ref: '#/components/schemas/DTOResourcePartition'
        resource:
          $ref: '#/components/schemas/DTOResource'
        resourceId:
          type: integer
          format: int64
        schema:
          $ref: '#/components/schemas/DTOIOSchema'
        trueValue:
          type: string
        veryHighValue:
          type: number
          format: double
        veryLowValue:
          type: number
          format: double
    DTOResourceSensor:
      title: DTOResourceSensor
      type: object
      properties:
        calibration:
          type: number
          format: double
        description:
          type: string
        falseValue:
          type: string
        hardwareSerialNumber:
          type: string
        highValue:
          type: number
          format: double
        id:
          type: integer
          format: int64
        ioDirection:
          type: string
          enum:
            - Input
            - Output
            - InputOutput
        ioType:
          type: string
          enum:
            - Digital
            - Analog
            - AnalogDigital
            - SerialUSART
            - SerialRS232
            - SerialRS485
            - SerialCAN
            - SerialEthernet
            - SerialI2C
            - SerialSPI
            - SerialOneWire
            - User
            - SerialMdb
            - SerialWireless
        lowValue:
          type: number
          format: double
        orderNo:
          type: integer
          format: int64
        partitions:
          type: array
          items:
            $ref: '#/components/schemas/DTOResourcePartition'
        resource:
          $ref: '#/components/schemas/DTOResource'
        resourceId:
          type: integer
          format: int64
        schema:
          $ref: '#/components/schemas/DTOIOSchema'
        sensor:
          $ref: '#/components/schemas/DTOSensor'
        serialSensorTemplateId:
          type: integer
          format: int64
        serialSensorTemplateSensorId:
          type: integer
          format: int64
        trueValue:
          type: string
        veryHighValue:
          type: number
          format: double
        veryLowValue:
          type: number
          format: double
    DTOResourceSubType:
      title: DTOResourceSubType
      type: object
      properties:
        id:
          $ref: '#/components/schemas/DTOResourceSubTypeId'
        instanceId:
          type: integer
          format: int64
        name:
          type: string
        note:
          type: string
        subTypePk:
          type: integer
          format: int32
        typeId:
          type: integer
          format: int32
        typeKey:
          type: string
        typeName:
          type: string
    DTORolePrivilegeGroup:
      title: DTORolePrivilegeGroup
      type: object
      properties:
        defaultAuthority:
          type: boolean
        id:
          type: integer
          format: int64
        privilegeGroup:
          $ref: '#/components/schemas/DTOPrivilegeGroup'
        role:
          $ref: '#/components/schemas/DTORole'
    DTOPrivilegeGroup:
      title: DTOPrivilegeGroup
      type: object
      properties:
        groupName:
          type: string
        privilegeGroupId:
          type: integer
          format: int64
        privileges:
          type: array
          items:
            $ref: '#/components/schemas/DTOPrivilege'
        rolePrivilegeGroups:
          type: array
          items:
            $ref: '#/components/schemas/DTORolePrivilegeGroup'
        userPrivilegeGroups:
          type: array
          items:
            $ref: '#/components/schemas/DTOUserPrivilegeGroup'
    DTOAssetType:
      title: DTOAssetType
      type: object
      properties:
        active:
          type: boolean
          xml:
            name: active
            attribute: false
            wrapped: false
        id:
          type: integer
          format: int64
        instanceId:
          type: integer
          format: int64
          xml:
            name: instanceId
            attribute: false
            wrapped: false
        labels:
          type: array
          items:
            $ref: '#/components/schemas/DTOLabel'
        name:
          type: string
          xml:
            name: name
            attribute: false
            wrapped: false
        note:
          type: string
          xml:
            name: note
            attribute: false
            wrapped: false
        typeKey:
          type: string
          xml:
            name: typeKey
            attribute: false
            wrapped: false
    DTODynamicField:
      title: DTODynamicField
      type: object
      properties:
        active:
          type: boolean
          xml:
            name: active
            attribute: false
            wrapped: false
        dynamicFieldDataValue:
          type: string
        dynamicFieldId:
          type: integer
          format: int64
          xml:
            name: dynamicFieldId
            attribute: false
            wrapped: false
        dynamicFieldModelId:
          type: integer
          format: int64
          xml:
            name: dynamicFieldModelId
            attribute: false
            wrapped: false
        fieldDataType:
          type: string
          xml:
            name: fieldDataType
            attribute: false
            wrapped: false
          enum:
            - Integer
            - String
            - Boolean
            - Short
            - Long
            - Double
            - Float
            - Color
            - Date
            - DateTime
            - Email
            - Number
            - Tel
            - Time
            - Url
            - MultipleSelection
            - FixedLocation
            - DynamicLocation
            - FuelTankCapacity
        fieldName:
          type: string
          xml:
            name: fieldName
            attribute: false
            wrapped: false
        isMandatory:
          type: boolean
          xml:
            name: isMandatory
            attribute: false
            wrapped: false
        isUnique:
          type: boolean
          xml:
            name: isUnique
            attribute: false
            wrapped: false
    LocalTime:
      title: LocalTime
      type: object
      properties:
        hour:
          type: integer
          format: int32
        minute:
          type: integer
          format: int32
        nano:
          type: integer
          format: int32
        second:
          type: integer
          format: int32
    DTOBrand:
      title: DTOBrand
      type: object
      properties:
        active:
          type: boolean
        brandId:
          type: integer
          format: int64
          xml:
            name: brandId
            attribute: false
            wrapped: false
        brandName:
          type: string
          xml:
            name: brandName
            attribute: false
            wrapped: false
        roles:
          type: array
          items:
            $ref: '#/components/schemas/DTORole'
    DTOIOSchema:
      title: DTOIOSchema
      type: object
      properties:
        active:
          type: boolean
          xml:
            name: active
            attribute: false
            wrapped: false
        ioClass:
          type: string
          xml:
            name: ioClass
            attribute: false
            wrapped: false
          enum:
            - Digital
            - Analog
            - AnalogDigital
            - SerialUSART
            - SerialRS232
            - SerialRS485
            - SerialCAN
            - SerialEthernet
            - SerialI2C
            - SerialSPI
            - SerialOneWire
            - User
            - SerialMdb
            - SerialWireless
        ioName:
          type: string
          xml:
            name: ioName
            attribute: false
            wrapped: false
          enum:
            - Input
            - Output
            - InputOutput
        ioSchemaId:
          type: integer
          format: int64
        modelId:
          type: integer
          format: int64
        totalIO:
          type: integer
          format: int32
          xml:
            name: totalIO
            attribute: false
            wrapped: false
    DTOCommunicationChannel:
      title: DTOCommunicationChannel
      type: object
      properties:
        active:
          type: boolean
          xml:
            name: active
            attribute: false
            wrapped: false
        channelConfig:
          type: string
          xml:
            name: channelConfig
            attribute: false
            wrapped: false
        channelHostName:
          type: string
          xml:
            name: channelHostName
            attribute: false
            wrapped: false
        channelId:
          type: integer
          format: int64
          xml:
            name: channelId
            attribute: false
            wrapped: false
        channelName:
          type: string
          xml:
            name: channelName
            attribute: false
            wrapped: false
        channelPort:
          type: integer
          format: int32
        channelType:
          type: string
          xml:
            name: channelType
            attribute: false
            wrapped: false
        started:
          type: boolean
          xml:
            name: started
            attribute: false
            wrapped: false
    DTOCommunicationProtocol:
      title: DTOCommunicationProtocol
      type: object
      properties:
        active:
          type: boolean
          xml:
            name: active
            attribute: false
            wrapped: false
        protocolId:
          type: integer
          format: int64
          xml:
            name: protocolId
            attribute: false
            wrapped: false
        protocolName:
          type: string
          xml:
            name: protocolName
            attribute: false
            wrapped: false
    DTOController:
      title: DTOController
      type: object
      properties:
        active:
          type: boolean
          xml:
            name: active
            attribute: false
            wrapped: false
        controllerClass:
          $ref: '#/components/schemas/DTOControllerClass'
        controllerId:
          type: integer
          format: int64
          xml:
            name: controllerId
            attribute: false
            wrapped: false
        controllerName:
          type: string
          xml:
            name: controllerName
            attribute: false
            wrapped: false
        controllerType:
          type: string
          xml:
            name: controllerType
            attribute: false
            wrapped: false
          enum:
            - Digital
            - Analog
            - Serial
        conversionFormulaX:
          type: number
          format: double
          xml:
            name: conversionFormulaX
            attribute: false
            wrapped: false
        conversionFormulaY:
          type: number
          format: double
          xml:
            name: conversionFormulaY
            attribute: false
            wrapped: false
        createByUser:
          type: string
          xml:
            name: createByUser
            attribute: false
            wrapped: false
        createDate:
          type: string
          format: date-time
          xml:
            name: createDate
            attribute: false
            wrapped: false
        labels:
          type: array
          items:
            $ref: '#/components/schemas/DTOLabel'
        logic0:
          type: boolean
          xml:
            name: logic0
            attribute: false
            wrapped: false
        precision:
          type: string
          xml:
            name: precision
            attribute: false
            wrapped: false
        property:
          type: string
          xml:
            name: property
            attribute: false
            wrapped: false
        serialDataType:
          type: string
          enum:
            - Byte
            - Signedshort
            - Unsignedshort
            - Signedint
            - Unsignedint
            - Signedlong
            - Unsignedlong
            - Float
            - Double
            - Boolean
            - Bytearray
            - Chararray
            - String
            - Date
        serialDataTypeBigEndian:
          type: boolean
        valueRangeMax:
          type: number
          format: double
          xml:
            name: valueRangeMax
            attribute: false
            wrapped: false
        valueRangeMin:
          type: number
          format: double
          xml:
            name: valueRangeMin
            attribute: false
            wrapped: false
    DTOSensor:
      title: DTOSensor
      type: object
      properties:
        active:
          type: boolean
        conversionFormulaX:
          type: number
          format: double
        conversionFormulaY:
          type: number
          format: double
        createByUser:
          type: string
        createDate:
          type: string
        labels:
          type: array
          items:
            $ref: '#/components/schemas/DTOLabel'
        logic0:
          type: boolean
        precision:
          type: string
        property:
          type: string
        sensorClass:
          $ref: '#/components/schemas/DTOSensorClass'
        sensorId:
          type: integer
          format: int64
        sensorName:
          type: string
        sensorType:
          type: string
          enum:
            - Serial
            - Digital
            - Analog
            - User
        serialDataType:
          type: string
          enum:
            - Byte
            - Signedshort
            - Unsignedshort
            - Signedint
            - Unsignedint
            - Signedlong
            - Unsignedlong
            - Float
            - Double
            - Boolean
            - Bytearray
            - Chararray
            - String
            - Date
        serialDataTypeBigEndian:
          type: boolean
        userDataType:
          type: string
          enum:
            - Byte
            - Signedshort
            - Unsignedshort
            - Signedint
            - Unsignedint
            - Signedlong
            - Unsignedlong
            - Float
            - Double
            - Boolean
            - Bytearray
            - Chararray
            - String
            - Date
            - Char
            - Json
            - Xml
            - Error
        userDataTypeBigEndian:
          type: boolean
        userIoId:
          type: string
        valueRangeMax:
          type: number
          format: double
        valueRangeMin:
          type: number
          format: double
    DTOResourceSubTypeId:
      title: DTOResourceSubTypeId
      type: object
      properties:
        subTypePk:
          type: integer
          format: int32
        typeId:
          type: integer
          format: int32
    DTOPrivilege:
      title: DTOPrivilege
      type: object
      properties:
        channel:
          type: string
        privilegeGroup:
          $ref: '#/components/schemas/DTOPrivilegeGroup'
        privilegeId:
          type: integer
          format: int64
        privilegeName:
          type: string
        request:
          type: string
        rolePrivileges:
          type: array
          items:
            $ref: '#/components/schemas/DTORolePrivilegeGroup'
        userPrivileges:
          type: array
          items:
            $ref: '#/components/schemas/DTOUserPrivilegeGroup'
    DTOControllerClass:
      title: DTOControllerClass
      type: object
      properties:
        active:
          type: boolean
        className:
          type: string
          xml:
            name: className
            attribute: false
            wrapped: false
        controllerUnit:
          type: string
          xml:
            name: controllerUnit
            attribute: false
            wrapped: false
        id:
          type: integer
          format: int64
          xml:
            name: id
            attribute: false
            wrapped: false
    DTOSensorClass:
      title: DTOSensorClass
      type: object
      properties:
        active:
          type: boolean
          xml:
            name: active
            attribute: false
            wrapped: false
        className:
          type: string
          xml:
            name: className
            attribute: false
            wrapped: false
        icon:
          type: integer
          format: int32
          xml:
            name: icon
            attribute: false
            wrapped: false
        id:
          type: integer
          format: int64
          xml:
            name: id
            attribute: false
            wrapped: false
        sensorUnit:
          type: string
          xml:
            name: sensorUnit
            attribute: false
            wrapped: false

````